<?php

define('RENDER_MODE', 'catalyz');

$node = $page->getNode();

use_helper('Form');

$properties = array();
$properties['page'] = $page;
$properties['node'] = $node;
$properties['ContentTree'] = $ContentTree;

ob_start();
use_helper('I18N');

$allLanguages = sfConfig::get('app_translations_available_languages');
$default = sfConfig::get('app_translations_default_language');
// $existing_languages = $node->getAvailableTranslations();
$allLanguages = Catalyz::getAllTranslations();
unset($allLanguages[$default]);
// $perms = array();
// $available_languages = array();
// foreach($allLanguages as $iso => $name) {
// if (!isset($existing_languages[$iso])) {
// $available_languages[$iso] = ucfirst($name);
// }
// $perms[$iso]['edit'] = true;
// $perms[$iso]['delete'] = ($iso != $default);
// }
// include_partial('catalyz/header');

?>

<?php use_helper('Validation') ?>

<div class="content-add01">
	<div class="heading01"><h1>Mot de passe oublié ?</h1></div>
</div>

<p>Saisissez votre adresse email ci-dessous et un message vous sera envoyé avec vos identifiants de connexion.</p>

<?php echo form_tag('@katao_forgot_password_update') ?>
  <table>
    <tfoot>
      <tr>
        <td colspan="2">
          <br /><input type="submit" value="Envoyer" /> ou <?php echo link_to('annuler', $sf_request->getReferer()) ?>
        </td>
      </tr>
    </tfoot>
    <tbody>
	  <tr valign="top">
        <th align="left"><?php echo label_for('email', 'Email') ?></th>
        <td>
          <?php echo input_tag('email', '', array('style' => 'width: 250px;')) ?>
		  <?php echo form_error('email') ?>
        </td>
      </tr>
    </tbody>
  </table>
</form>

<?php

$content = ob_get_contents();

ob_end_clean();
// $layout = LayoutManager::instance()->getCatalyzTemplate($ContentTreeNode->getCurrentLayoutNameForAction());
$properties['layout_family'] = 'katao';
$properties['layout_name'] = 'default';
$properties['content'] = $content;

include_component($properties['layout_family'], $properties['layout_name'], $properties);

?>